#ifndef MRK_COMMON
#define MRK_COMMON

#include <stdlib.h>

#define MRK_CALLOC(out, n, size)                                               \
  {                                                                            \
    void *temp = calloc(n, size);                                              \
    if (temp == NULL)                                                          \
      return mrk_err_failed_alloc;                                             \
    *out = temp;                                                               \
  }

typedef enum mrk_err {
  mrk_err_ok = 0,
  mrk_err_failed_alloc,
} mrk_err;

#endif
